# MapGISTerrainProvider

MapGISTerrainProvider MapGIS地形provider

#### new Cesium.MapGISTerrainProvider(options)
MapGIS/Provider/MapGISTerrainProvider.js 58

Name | Type | Description
--- | --- | ---

`options`

Object

Name | Type | Default | Description
--- | --- | --- | ---
`showSkirt` | Boolean | `true` | optional 是否显示裙边
`range` | Object |  | optional 数据范围
`terrainFormat` | Boolean | `true` | optional 如果使用地形缓存值为false，否则为true
`proxy` | Proxy |  | optional 使用代理
`requestVertexNormals` | Boolean | `true` | optional 是否使用地形法向
`maxLevel` | Number | `20` | optional 最大级别

### Members

#### availability : TileAvailability
MapGIS/Provider/MapGISTerrainProvider.js 1406

Gets an object that can be used to determine availability of terrain from this provider, such as at points and in rectangles. This function should not be called before `MapGISTerrainProvider#ready` returns true. This property may be undefined if availability information is not available.

#### credit : Credit
MapGIS/Provider/MapGISTerrainProvider.js 1206

Gets the credit to display when this terrain provider is active. Typically this is used to credit the source of the terrain. This function should not be called before `MapGISTerrainProvider#ready` returns true.

#### errorEvent : Event
MapGIS/Provider/MapGISTerrainProvider.js 1182

Gets an event that is raised when the terrain provider encounters an asynchronous error. By subscribing to the event, you will be notified of the error and can potentially recover from it. Event listeners are passed an instance of `TileProviderError`.

#### hasMetadata : Boolean
MapGIS/Provider/MapGISTerrainProvider.js 1307

Gets a value indicating whether or not the requested tiles include metadata. This function should not be called before `MapGISTerrainProvider#ready` returns true.

#### hasVertexNormals : Boolean
MapGIS/Provider/MapGISTerrainProvider.js 1287

Gets a value indicating whether or not the requested tiles include vertex normals. This function should not be called before `MapGISTerrainProvider#ready` returns true.

#### hasWaterMask : Boolean
MapGIS/Provider/MapGISTerrainProvider.js 1268

Gets a value indicating whether or not the provider includes a water mask. The water mask indicates which areas of the globe are water rather than land, so they can be rendered as a reflective surface with animated waves. This function should not be called before `MapGISTerrainProvider#ready` returns true.

#### range3D : Array
MapGIS/Provider/MapGISTerrainProvider.js 1347

获取地形范围

#### ready : Boolean
MapGIS/Provider/MapGISTerrainProvider.js 1241

Gets a value indicating whether or not the provider is ready for use.

#### readonly readyPromise : Promise.<Boolean>
MapGIS/Provider/MapGISTerrainProvider.js 1253

Gets a promise that resolves to true when the provider is ready for use.

#### requestMetadata : Boolean
MapGIS/Provider/MapGISTerrainProvider.js 1392

Boolean flag that indicates if the client should request metadata from the server. Metadata is appended to the standard tile mesh data only if the client requests the metadata and if the server provides a metadata.

#### requestVertexNormals : Boolean
MapGIS/Provider/MapGISTerrainProvider.js 1327

Boolean flag that indicates if the client should request vertex normals from the server. Vertex normals data is appended to the standard tile mesh data only if the client requests the vertex normals and if the server provides vertex normals.

#### requestWaterMask : Boolean
MapGIS/Provider/MapGISTerrainProvider.js 1379

Boolean flag that indicates if the client should request a watermask from the server. Watermask data is appended to the standard tile mesh data only if the client requests the watermask and if the server provides a watermask.

#### show : Boolean
MapGIS/Provider/MapGISTerrainProvider.js 1438

是否显示地形

#### showSkirt : Boolean
MapGIS/Provider/MapGISTerrainProvider.js 1192

是否显示裙边（只有MapGIS的地形可以设置）

#### terrainColorTblInfo : Array
MapGIS/Provider/MapGISTerrainProvider.js 1337

获取地形色表信息

#### terrainColorTblMaxHeight : Number
MapGIS/Provider/MapGISTerrainProvider.js 1357

获取地形色表最大高程

#### terrainColorTblMinHeight : Number
MapGIS/Provider/MapGISTerrainProvider.js 1367

获取地形色表最小高程

#### tilingScheme : GeographicTilingScheme
MapGIS/Provider/MapGISTerrainProvider.js 1224

Gets the tiling scheme used by this provider. This function should not be called before `MapGISTerrainProvider#ready` returns true.

### Methods

#### getLevelMaximumGeometricError(level) → Number
MapGIS/Provider/MapGISTerrainProvider.js 1454

Gets the maximum geometric error allowed in a tile at a given level.

Name | Type | Description
--- | --- | ---
`level` | Number | The tile level for which to get the maximum geometric error.

##### Returns:

The maximum geometric error.

#### getTileDataAvailable(x, y, level) → Boolean
MapGIS/Provider/MapGISTerrainProvider.js 1466

Determines whether data for a tile is available to be loaded.

Name | Type | Description
--- | --- | ---
`x` | Number | The X coordinate of the tile for which to request geometry.
`y` | Number | The Y coordinate of the tile for which to request geometry.
`level` | Number | The level of the tile for which to request geometry.

##### Returns:

Undefined if not supported or availability is unknown, otherwise true or false.

#### loadTileDataAvailability(x, y, level) → undefined|Promise.<void>
MapGIS/Provider/MapGISTerrainProvider.js 1504

Makes sure we load availability data for a tile

Name | Type | Description
--- | --- | ---
`x` | Number | The X coordinate of the tile for which to request geometry.
`y` | Number | The Y coordinate of the tile for which to request geometry.
`level` | Number | The level of the tile for which to request geometry.

##### Returns:

Undefined if nothing need to be loaded or a Promise that resolves when all required tiles are loaded